<?php
/**
 * Blog page options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

$wp_customize->add_section( 'corporate_education_pro_blog', array(
	'title'            		=> esc_html__( 'Blog Page','corporate-education-pro' ),
	'description'      		=> esc_html__( 'Blog Page Options.', 'corporate-education-pro' ),
	'panel'            		=> 'corporate_education_pro_theme_options_panel',
) );

// service Section category setting and control
$wp_customize->add_setting( 'corporate_education_pro_theme_options[blog_exclude_categories]', array(
	'sanitize_callback' => 'corporate_education_pro_sanitize_category_list'
) );

$wp_customize->add_control( new Corporate_Education_Pro_Dropdown_Category_Control( $wp_customize, 'corporate_education_pro_theme_options[blog_exclude_categories]', array(
	'label'           => esc_html__( 'Select Categories to Exclude', 'corporate-education-pro' ),
	'section'         => 'corporate_education_pro_blog',
	'type'			  => 'dropdown-categories',
) ) );
