<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Corporate Education Pro
 * @since Corporate Education Pro 1.0
 */

// Add sidebar section
$wp_customize->add_section( 'corporate_education_pro_layout', array(
	'title'               => esc_html__('Layout','corporate-education-pro'),
	'description'         => esc_html__( 'Layout section options.', 'corporate-education-pro' ),
	'panel'               => 'corporate_education_pro_theme_options_panel',
) );

// Theme layout setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[theme_layout]', array(
	'sanitize_callback'   => 'corporate_education_pro_sanitize_select',
	'default'             => $options['theme_layout'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[theme_layout]', array(
	'label'               => esc_html__( 'Theme Layout', 'corporate-education-pro' ),
	'description'         => esc_html__( 'Note: Curve Edges layout only works on Wide Site layout.', 'corporate-education-pro' ),
	'section'             => 'corporate_education_pro_layout',
	'type'                => 'select',
	'choices'			  => corporate_education_pro_theme_layout(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'corporate_education_pro_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'corporate-education-pro' ),
	'section'             => 'corporate_education_pro_layout',
	'type'                => 'select',
	'choices'			  => corporate_education_pro_site_layout(),
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'corporate_education_pro_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'corporate-education-pro' ),
	'section'             => 'corporate_education_pro_layout',
	'type'                => 'select',
	'choices'			  => corporate_education_pro_sidebar_position(),
) );

// Header menu sticky setting and control.
$wp_customize->add_setting( 'corporate_education_pro_theme_options[menu_sticky]', array(
	'sanitize_callback'	=> 'corporate_education_pro_sanitize_checkbox',
	'default'          	=> $options['menu_sticky'],
) );

$wp_customize->add_control( 'corporate_education_pro_theme_options[menu_sticky]', array(
	'label'            	=> esc_html__( 'Make Header Menu Sticky', 'corporate-education-pro' ),
	'section'          	=> 'corporate_education_pro_layout',
	'type'             	=> 'checkbox',
) );
